/*
	File:		ProcessMapInit.cpp
	Contains:	Init routines
	Written by:	PartMaker

	Change History (most recent first):

	<3>	3/20/95	JS		Updated for Developer Release 2.
	<3>	3/20/95	JS		Use InitODMemory()
	<2>	3/8/95	JS		Updated to b1c13/c14
	<1>	2/2/95	RA		first checked in
	<0>	PartMaker source by E. Soldan, T. elik, J. Alfke, R. Adkins, J. Schalk
*/

#ifndef _ALTPOINT_
#include <AltPoint.h>
#endif

#ifndef __SOM__
#include <som.xh>
#endif

#ifndef __SOMOBJ__
#include <somobj.xh>
#endif

#ifndef __USERSRCM__
#include <UseRsrcM.h>
#endif

#ifndef __CODEFRAGMENTS__
#include <CodeFragments.h>
#endif

#ifndef SOM_Module_processmap_Source
#include "ProcessMap.xh"
#endif

#ifndef _PROCESSMAP_
#include "CPProcessMap.h"
#endif

//---------------------------------------------------------------------------------------
// Library initialization routine
//---------------------------------------------------------------------------------------

extern "C" pascal OSErr ProcessMapCFMInit (CFragInitBlockPtr initBlkPtr);

pascal OSErr ProcessMapCFMInit (CFragInitBlockPtr initBlkPtr)
{
	// Uppercase, so that it is identical for 68K and PowerPC compilers
	EnteringMethod("\pProcessMapCFMInit");

	OSErr err1 = InitODMemory();
	OSErr err2 = InitLibraryResources(initBlkPtr);
	
	return err1 ? err1 : err2;
}

//---------------------------------------------------------------------------------------
// Library main routine
//---------------------------------------------------------------------------------------

SOMEXTERN void SOMLINK ProcessMapSOMInit (long majorVersion, 
                                       long minorVersion, 
                                       string className);
                                       
SOMEXTERN void SOMLINK ProcessMapSOMInit (long majorVersion, 
                                       long minorVersion, 
                                       string className)
{
	EnteringMethod("\pProcessMapSOMInit");

	SomethingGood_ProcessMapNewClass(majorVersion, minorVersion);
}

